curl --request PATCH \
--url https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Inbox Manager",
"status": 1,
"payload": {
"configuration_type": 1,
"tags": [
"default"
],
"handle_followup": true,
"respond_to_automatic_emails": true,
"handle_objections": true,
"integrations": {
"slack": {
"connection_id": "0195b1a5-3b1d-7b6e-9c1a-2f7a4b0c1d2e",
"enabled": true
}
},
"no_show": {
"enabled": true,
"max_followups": 3
},
"trigger_on_labels_enabled": false,
"trigger_on_labels": [
1,
-1
],
"trigger_on_labels_mode": "include",
"monthly_credit_budget": 1000,
"followup_business_days_only": true
}
}
'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}"
payload = {
"name": "My Inbox Manager",
"status": 1,
"payload": {
"configuration_type": 1,
"tags": ["default"],
"handle_followup": True,
"respond_to_automatic_emails": True,
"handle_objections": True,
"integrations": { "slack": {
"connection_id": "0195b1a5-3b1d-7b6e-9c1a-2f7a4b0c1d2e",
"enabled": True
} },
"no_show": {
"enabled": True,
"max_followups": 3
},
"trigger_on_labels_enabled": False,
"trigger_on_labels": [1, -1],
"trigger_on_labels_mode": "include",
"monthly_credit_budget": 1000,
"followup_business_days_only": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My Inbox Manager',
status: 1,
payload: {
configuration_type: 1,
tags: ['default'],
handle_followup: true,
respond_to_automatic_emails: true,
handle_objections: true,
integrations: {slack: {connection_id: '0195b1a5-3b1d-7b6e-9c1a-2f7a4b0c1d2e', enabled: true}},
no_show: {enabled: true, max_followups: 3},
trigger_on_labels_enabled: false,
trigger_on_labels: [1, -1],
trigger_on_labels_mode: 'include',
monthly_credit_budget: 1000,
followup_business_days_only: true
}
})
};
fetch('https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.patch("https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"My Inbox Manager\",\n \"status\": 1,\n \"payload\": {\n \"configuration_type\": 1,\n \"tags\": [\n \"default\"\n ],\n \"handle_followup\": true,\n \"respond_to_automatic_emails\": true,\n \"handle_objections\": true,\n \"integrations\": {\n \"slack\": {\n \"connection_id\": \"0195b1a5-3b1d-7b6e-9c1a-2f7a4b0c1d2e\",\n \"enabled\": true\n }\n },\n \"no_show\": {\n \"enabled\": true,\n \"max_followups\": 3\n },\n \"trigger_on_labels_enabled\": false,\n \"trigger_on_labels\": [\n 1,\n -1\n ],\n \"trigger_on_labels_mode\": \"include\",\n \"monthly_credit_budget\": 1000,\n \"followup_business_days_only\": true\n }\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'My Inbox Manager',
'status' => 1,
'payload' => [
'configuration_type' => 1,
'tags' => [
'default'
],
'handle_followup' => true,
'respond_to_automatic_emails' => true,
'handle_objections' => true,
'integrations' => [
'slack' => [
'connection_id' => '0195b1a5-3b1d-7b6e-9c1a-2f7a4b0c1d2e',
'enabled' => true
]
],
'no_show' => [
'enabled' => true,
'max_followups' => 3
],
'trigger_on_labels_enabled' => false,
'trigger_on_labels' => [
1,
-1
],
'trigger_on_labels_mode' => 'include',
'monthly_credit_budget' => 1000,
'followup_business_days_only' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}"
payload := strings.NewReader("{\n \"name\": \"My Inbox Manager\",\n \"status\": 1,\n \"payload\": {\n \"configuration_type\": 1,\n \"tags\": [\n \"default\"\n ],\n \"handle_followup\": true,\n \"respond_to_automatic_emails\": true,\n \"handle_objections\": true,\n \"integrations\": {\n \"slack\": {\n \"connection_id\": \"0195b1a5-3b1d-7b6e-9c1a-2f7a4b0c1d2e\",\n \"enabled\": true\n }\n },\n \"no_show\": {\n \"enabled\": true,\n \"max_followups\": 3\n },\n \"trigger_on_labels_enabled\": false,\n \"trigger_on_labels\": [\n 1,\n -1\n ],\n \"trigger_on_labels_mode\": \"include\",\n \"monthly_credit_budget\": 1000,\n \"followup_business_days_only\": true\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a0206f-ab5d-7a94-b390-0e72d746d00a",
"organization_id": "01a0206f-ab5d-7a94-b390-0e739ce03f39",
"name": "Test AI Agent",
"payload": {
"configuration_type": 1,
"tags": [
"default"
],
"handle_followup": true,
"respond_to_automatic_emails": true,
"handle_objections": true,
"integrations": {
"slack": {
"connectionId": "01a0206f-ab5d-7a94-b390-0e6ee945717d",
"connectionName": "My Connection"
}
},
"no_show": {
"enabled": true,
"max_followups": 3
},
"trigger_on_labels_enabled": false,
"trigger_on_labels": [
1,
-1
],
"trigger_on_labels_mode": "include",
"monthly_credit_budget": 1000,
"followup_business_days_only": true
},
"timestamp_created": "2026-08-20T18:29:44.413Z",
"timestamp_updated": "2026-08-20T18:29:44.413Z",
"status": 1,
"type": 1,
"is_auto_created": false,
"created_by": "01a0206f-ab5d-7a94-b390-0e74994e2dba",
"description": "Optional agent description",
"metadata": {
"tags": {
"tag-id": {
"id": "tag-id",
"label": "Tag Label"
}
}
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "body must have required property 'name'"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Update an AI Inbox Manager
Update an AI Inbox Manager, including its configuration.
Requires one of the following scopes: ai_agents:update, ai_agents:all, all:update, all:all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
AI Inbox Manager ID
"0195b1a5-3b1d-7b6e-9c1a-2f7a4b0c1d2e"
Body
Response
The updated AI Inbox Manager
An AI Inbox Manager agent
Unique identifier for the AI agent
"01a0206f-ab5d-7a94-b390-0e72d746d00a"
Organization ID
"01a0206f-ab5d-7a94-b390-0e739ce03f39"
Name of the AI Agent
"Test AI Agent"
Reply agent (Inbox Manager) payload
Show child attributes
Show child attributes
Timestamp when the AI agent was created
"2026-08-20T18:29:44.413Z"
Timestamp when the AI agent was updated
"2026-08-20T18:29:44.413Z"
Status of the AI Agent
-1, 0, 1 1
Type of the AI Agent
1, 2, 3, 4, 6, 7, 8, 9, 10 1
Whether the AI agent was auto-created
false
User ID who created the AI agent
"01a0206f-ab5d-7a94-b390-0e74994e2dba"
Description of the AI agent
"Optional agent description"
Included only when the with_metadata parameter is true. Contains additional information about the ai agent as tags.
Show child attributes
Show child attributes
{
"tags": {
"tag-id": { "id": "tag-id", "label": "Tag Label" }
}
}